/* eslint-disable import/no-extraneous-dependencies */
import type { PrismaClient } from '@prisma/client';
import { mockDeep, mockReset, DeepMockProxy } from 'jest-mock-extended';

import prisma from './client';

const prismaMock = prisma as unknown as DeepMockProxy<PrismaClient>;

export default prismaMock;

jest.mock('../src/client', () => ({
  __esModule: true,
  default: mockDeep<PrismaClient>(),
}));

beforeEach(() => mockReset(prismaMock));
